CURLOPT_AUTOREFERER(3)

NAME
CURLOPT_AUTOREFERER - automatically update the referer header

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_AUTOREFERER, long autorefer);

DESCRIPTION
Pass a parameter set to 1 to enable this. When enabled, libcurl will automatically set the Referer: header field in HTTP requests where it follows a Location: redirect.

DEFAULT
0, disabled

PROTOCOLS
HTTP

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  curl_easy_setopt(curl, CURLOPT_URL, "http://example.com/foo.bin");
  /* follow redirects */
  curl_easy_setopt(curl, CURLOPT_FOLLOWLOCATION, 1L);
  /* set Referer: automatically when following redirects */
  curl_easy_setopt(curl, CURLOPT_AUTOREFERER, 1L);
  ret = curl_easy_perform(curl);
  curl_easy_cleanup(curl);
}

AVAILABILITY
Along with HTTP

RETURN VALUE
Returns CURLE_OK if HTTP is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_REFERER(3), CURLOPT_FOLLOWLOCATION(3),